com.microsoft.sqlserver.jdbc

## Interface ISQLServerBulkRecord

All Known Implementing Classes:
  SQLServerBulkCSVFileRecord

    public interface ISQLServerBulkRecord

The ISQLServerBulkRecord interface can be used to create classes that read in data from any source (such as a file) and allow a SQLServerBulkCopy class to write the data to SQL Server tables.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getColumnName(int column)` Get the name of the given column.
`Set<Integer>` `getColumnOrdinals()` Get the ordinals for each of the columns represented in this data record.
`int` `getColumnType(int column)` Get the JDBC data type of the given column.
`int` `getPrecision(int column)` Get the precision for the given column.
`Object[]` `getRowData()` Gets the data for the current row as an array of Objects.
`int` `getScale(int column)` Get the scale for the given column.
`boolean` `isAutoIncrement(int column)` Indicates whether the column represents an identity column.
`boolean` `next()` Advances to the next data row.

### Method Detail

#### getColumnOrdinals

    Set<Integer> getColumnOrdinals()

Get the ordinals for each of the columns represented in this data record.

Returns:
  Set of ordinals for the columns.

#### getColumnName

    String getColumnName(int column)

Get the name of the given column.

Parameters:
  `column` - Column ordinal
Returns:
  Name of the column

#### getColumnType

    int getColumnType(int column)

Get the JDBC data type of the given column.

Parameters:
  `column` - Column ordinal
Returns:
  JDBC data type of the column

#### getPrecision

    int getPrecision(int column)

Get the precision for the given column.

Parameters:
  `column` - Column ordinal
Returns:
  Precision of the column

#### getScale

    int getScale(int column)

Get the scale for the given column.

Parameters:
  `column` - Column ordinal
Returns:
  Scale of the column

#### isAutoIncrement

    boolean isAutoIncrement(int column)

Indicates whether the column represents an identity column.

Parameters:
  `column` - Column ordinal
Returns:
  True if the column is an identity column; false otherwise.

#### getRowData

    Object[] getRowData()
                 throws SQLServerException

Gets the data for the current row as an array of Objects. Each Object must match the Java language Type that is used to represent the indicated JDBC data type for the given column. For more information, see 'Understanding the JDBC Driver Data Types' for the appropriate mappings.

Returns:
  The data for the row.
Throws:
  `SQLServerException` - If there are any errors in obtaining the data.

#### next

    boolean next()
          throws SQLServerException

Advances to the next data row.

Returns:
  True if rows are available; false if there are no more rows
Throws:
  `SQLServerException` - If there are any errors in advancing to the next row.